<?php
namespace Teknisa\MAN\Factories;

use Doctrine\DBAL\Connection;
use Teknisa\MAN\Utilities\Query;

class CadVendedor {

    protected  $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    public function getEndevende($cdven, $nrorg) {
        $params = array(
            "CDVENDEDOR" => $cdven,
            "NRORG" => $nrorg
        );
        
        return $this->connection->fetchAll(Query::VERIFY_VENDOR_ADDRESS, $params);
    }
    
    public function getVendor($cdven) {
        $params = array(
            "CDVENDEDOR" => $cdven
        );
        
        return $this->connection->fetchAll(Query::GET_VENDOR, $params);
    }
    
}